wxInitDialogEvent(3)

NAME
wxInitDialogEvent - A wxInitDialogEvent is sent as a dialog or panel is being initialised.

DESCRIPTION

Handlers for this event can transfer data to the window.

The default handler calls wxWindow:transferDataToWindow/1.

See: Overview events

This class is derived, and can use functions, from:

    • wxEvent

wxWidgets docs: wxInitDialogEvent

  Events

Use wxEvtHandler:connect/3 with wxInitDialogEventType to subscribe to events of this type.

DATA TYPES

wxInitDialog() :: #wxInitDialog{}.
wxInitDialogEvent() :: wx:wx_object().
wxInitDialogEventType() :: init_dialog.

FUNCTIONS